singleton Material(sbr_engine)
{
    mapTo = "sbr_engine";
    diffuseMap[1] = "vehicles/sbr/sbr_engine_d.dds";
    specularMap[1] = "vehicles/sbr/sbr_engine_s.dds";
    normalMap[1] = "vehicles/sbr/sbr_engine_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sbr/sbr_engine_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(uno)
{
    mapTo = "uno";
    diffuseMap[2] = "vehicles/uno_naguluna/uno_c.dds";
    specularMap[2] = "vehicles/uno_naguluna/uno_s.dds";
    normalMap[2] = "vehicles/uno_naguluna/uno_n.dds";
    diffuseMap[1] = "vehicles/uno_naguluna/uno_d.dds";
    specularMap[1] = "vehicles/uno_naguluna/uno_s.dds";
    normalMap[1] = "vehicles/uno_naguluna/uno_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/uno_naguluna/uno_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(uno_plastic)
{
    mapTo = "uno_plastic";
    diffuseMap[2] = "vehicles/uno_naguluna/uno_plastic_c.dds";
    specularMap[2] = "vehicles/uno_naguluna/uno_plastic_s.dds";
    normalMap[2] = "vehicles/uno_naguluna/uno_plastic_n.dds";
    diffuseMap[1] = "vehicles/uno_naguluna/uno_plastic_d.dds";
    specularMap[1] = "vehicles/uno_naguluna/uno_plastic_s.dds";
    normalMap[1] = "vehicles/uno_naguluna/uno_plastic_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/uno_naguluna/uno_plastic_n.dds";
    specularPower[0] = "132";
    pixelSpecular[0] = "1";
    specularPower[1] = "132";
    pixelSpecular[1] = "1";
    specularPower[2] = "132";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(uno_plastic2)
{
    mapTo = "uno_plastic2";
    diffuseMap[2] = "vehicles/uno_naguluna/uno_plastic_c.dds";
    specularMap[2] = "vehicles/uno_naguluna/uno_plastic_s.dds";
    normalMap[2] = "vehicles/uno_naguluna/uno_plastic_n2.dds";
    diffuseMap[1] = "vehicles/uno_naguluna/uno_plastic_d.dds";
    specularMap[1] = "vehicles/uno_naguluna/uno_plastic_s.dds";
    normalMap[1] = "vehicles/uno_naguluna/uno_plastic_n2.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/uno_naguluna/uno_plastic_n2.dds";
    specularPower[0] = "132";
    pixelSpecular[0] = "1";
    specularPower[1] = "132";
    pixelSpecular[1] = "1";
    specularPower[2] = "132";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(uno_cf)
{
    mapTo = "unoCF";
    diffuseMap[2] = "vehicles/uno_naguluna/uno_d_cf.dds";
    specularMap[2] = "vehicles/uno_naguluna/uno_s_ex.dds";
    normalMap[2] = "vehicles/uno_naguluna/uno_n_cf.dds";
    diffuseMap[1] = "vehicles/uno_naguluna/uno_d_ex.dds";
    specularMap[1] = "vehicles/uno_naguluna/uno_s_ex.dds";
    normalMap[1] = "vehicles/uno_naguluna/uno_n_cf.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/uno_naguluna/uno_n_cf.dds";
    specularPower[0] = "228";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "228";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(unoCFG)
{
    mapTo = "unoCFG";
    reflectivityMap[0] = "vehicles/uno_naguluna/uno_cf_base.dds";
    diffuseMap[0] = "vehicles/uno_naguluna/uno_glass_d.dds";
    opacityMap[0] = "vehicles/uno_naguluna/uno_glass_d.dds";
    diffuseMap[1] = "vehicles/uno_naguluna/uno_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.6 0.6 0.6 0.6";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(uno_lettering)
{
    mapTo = "uno_lettering";
    specularMap[0] = "vehicles/uno_naguluna/uno_lettering_d.dds";
    normalMap[0] = "vehicles/uno_naguluna/uno_lettering_n.dds";
    diffuseMap[0] = "vehicles/uno_naguluna/uno_lettering_d.dds";
    reflectivityMap[0] = "vehicles/uno_naguluna/uno_lettering_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};


singleton Material(uno_interior)
{
    mapTo = "uno_interior";
    reflectivityMap[1] = "vehicles/uno_naguluna/uno_interior_s.dds";
    diffuseMap[1] = "vehicles/uno_naguluna/uno_interior_d.dds";
    specularMap[1] = "vehicles/uno_naguluna/uno_interior_s.dds";
    normalMap[1] = "vehicles/uno_naguluna/uno_interior_n.dds";
    reflectivityMap[0] = "vehicles/uno_naguluna/uno_interior_s.dds";
    diffuseMap[0] = "vehicles/uno_naguluna/uno_interior_d.dds";
    specularMap[0] = "vehicles/uno_naguluna/uno_interior_s.dds";
    normalMap[0] = "vehicles/uno_naguluna/uno_interior_n.dds";
    diffuseColor[1] = "1 1 1 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};



singleton Material(uno_panels)
{
    mapTo = "uno_panels";
    reflectivityMap[1] = "vehicles/uno_naguluna/uno_panels_s.dds";
    diffuseMap[1] = "vehicles/uno_naguluna/uno_panels_d.dds";
    specularMap[1] = "vehicles/uno_naguluna/uno_panels_s.dds";
    normalMap[1] = "vehicles/uno_naguluna/uno_panels_n.dds";
    reflectivityMap[0] = "vehicles/uno_naguluna/uno_panels_s.dds";
    diffuseMap[0] = "vehicles/uno_naguluna/uno_panels_d.dds";
    specularMap[0] = "vehicles/uno_naguluna/uno_panels_s.dds";
    normalMap[0] = "vehicles/uno_naguluna/uno_panels_n.dds";
    diffuseColor[1] = "1 1 1 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(uno_leather)
{
    mapTo = "uno_leather";
    reflectivityMap[1] = "vehicles/uno_naguluna/uno_leather_s.dds";
    diffuseMap[1] = "vehicles/uno_naguluna/uno_leather_d.dds";
    specularMap[1] = "vehicles/uno_naguluna/uno_leather_s.dds";
    normalMap[1] = "vehicles/uno_naguluna/uno_leather_n.dds";
    reflectivityMap[0] = "vehicles/uno_naguluna/uno_leather_s.dds";
    diffuseMap[0] = "vehicles/uno_naguluna/uno_leather_d.dds";
    specularMap[0] = "vehicles/uno_naguluna/uno_leather_s.dds";
    normalMap[0] = "vehicles/uno_naguluna/uno_leather_n.dds";
    diffuseColor[1] = "1 1 1 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};



singleton Material(uno_glass)
{
    mapTo = "uno_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/uno_naguluna/uno_glass_d.dds";
    opacityMap[0] = "vehicles/uno_naguluna/uno_glass_d.dds";
    diffuseMap[1] = "vehicles/uno_naguluna/uno_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "1 1 1 1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(uno_glass_int)
{
    mapTo = "uno_glass_int";
    diffuseMap[0] = "vehicles/uno_naguluna/uno_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(uno_glass_dmg)
{
    mapTo = "uno_glass_dmg";
    diffuseMap[0] = "vehicles/uno_naguluna/uno_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/uno_naguluna/uno_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/uno_naguluna/uno_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(uno_windshield_dmg)
{
    mapTo = "uno_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/uno_naguluna/uno_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(uno_gauges)
{
    mapTo = "uno_gauges";
    diffuseMap[0] = "vehicles/uno_naguluna/uno_gauges_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/uno_naguluna/uno_gauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.75 0.75 0.75 1";
};

singleton Material(uno_gauges_on)
{
    mapTo = "uno_gauges_on";
    diffuseMap[1] = "vehicles/uno_naguluna/uno_gauges_s.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/common/null.dds";
    diffuseMap[0] = "vehicles/uno_naguluna/uno_gauges_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/uno_naguluna/uno_gauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.75 0.75 0.75 1";
    diffuseColor[1] = "0.5 1.4 0.5 1";
};

singleton Material(uno_lights_on)
{
    mapTo = "uno_lights_on";
    diffuseMap[2] = "vehicles/uno_naguluna/uno_lights_g.dds";
    specularMap[2] = "vehicles/uno_naguluna/uno_lights_s.dds";
    normalMap[2] = "vehicles/uno_naguluna/uno_lights_n.dds";
    diffuseMap[1] = "vehicles/uno_naguluna/uno_lights_d.dds";
    specularMap[1] = "vehicles/uno_naguluna/uno_lights_s.dds";
    normalMap[1] = "vehicles/uno_naguluna/uno_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/uno_naguluna/uno_lights_n.dds";
    //diffuseMap[3] = "vehicles/uno_naguluna/uno_lights_dirt.dds";
    //normalMap[3] = "vehicles/uno_naguluna/uno_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.09";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "3";
    emissive[2] = "2";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(uno_lights_on_intense)
{
    mapTo = "uno_lights_on_intense";
    diffuseMap[2] = "vehicles/uno_naguluna/uno_lights_g.dds";
    specularMap[2] = "vehicles/uno_naguluna/uno_lights_s.dds";
    normalMap[2] = "vehicles/uno_naguluna/uno_lights_n.dds";
    diffuseMap[1] = "vehicles/uno_naguluna/uno_lights_d.dds";
    specularMap[1] = "vehicles/uno_naguluna/uno_lights_s.dds";
    normalMap[1] = "vehicles/uno_naguluna/uno_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/uno_naguluna/uno_lights_n.dds";
    //diffuseMap[3] = "vehicles/uno_naguluna/uno_lights_dirt.dds";
    //normalMap[3] = "vehicles/uno_naguluna/uno_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.15";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "3";
    emissive[2] = "2";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(uno_lights)
{
    mapTo = "uno_lights";
    diffuseMap[1] = "vehicles/uno_naguluna/uno_lights_d.dds";
    specularMap[1] = "vehicles/uno_naguluna/uno_lights_s.dds";
    normalMap[1] = "vehicles/uno_naguluna/uno_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/uno_naguluna/uno_lights_n.dds";
    //diffuseMap[2] = "vehicles/uno_naguluna/uno_lights_dirt.dds";
    //normalMap[2] = "vehicles/uno_naguluna/uno_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(uno_lights_dmg)
{
    mapTo = "uno_lights_dmg";
    diffuseMap[1] = "vehicles/uno_naguluna/uno_lights_d.dds";
    specularMap[1] = "vehicles/uno_naguluna/uno_lights_s.dds";
    normalMap[1] = "vehicles/uno_naguluna/uno_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/uno_naguluna/uno_lights_n.dds";
    //diffuseMap[2] = "vehicles/uno_naguluna/uno_lights_dirt.dds";
    //normalMap[2] = "vehicles/uno_naguluna/uno_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("uno.skin.scr")
{
    mapTo = "uno.skin.scr";
    overlayMap[2] = "vehicles/uno_naguluna/uno_skin_scr.dds";
    diffuseMap[2] = "vehicles/uno_naguluna/uno_c.dds";
    specularMap[2] = "vehicles/uno_naguluna/uno_s.dds";
    normalMap[2] = "vehicles/uno_naguluna/uno_n.dds";
    diffuseMap[1] = "vehicles/uno_naguluna/uno_d.dds";
    specularMap[1] = "vehicles/uno_naguluna/uno_s.dds";
    normalMap[1] = "vehicles/uno_naguluna/uno_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/uno_naguluna/uno_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("uno.skin.twotone")
{
    mapTo = "uno.skin.twotone";
    overlayMap[2] = "vehicles/uno_naguluna/uno_skin_twotone.dds";
    diffuseMap[2] = "vehicles/uno_naguluna/uno_c.dds";
    specularMap[2] = "vehicles/uno_naguluna/uno_s.dds";
    normalMap[2] = "vehicles/uno_naguluna/uno_n.dds";
    diffuseMap[1] = "vehicles/uno_naguluna/uno_d.dds";
    specularMap[1] = "vehicles/uno_naguluna/uno_s.dds";
    normalMap[1] = "vehicles/uno_naguluna/uno_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/uno_naguluna/uno_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(uno_reverselight)
{
    mapTo = "uno_reverselight";
};

singleton Material(uno_signal_R)
{
    mapTo = "uno_signal_R";
};

singleton Material(uno_signal_L)
{
    mapTo = "uno_signal_L";
};

singleton Material(uno_headlight)
{
    mapTo = "uno_headlight";
};

singleton Material(uno_parkinglight)
{
    mapTo = "uno_parkinglight";
};

singleton Material(uno_chmsl)
{
    mapTo = "uno_chmsl";
};

singleton Material(uno_taillight)
{
    mapTo = "uno_taillight";
};

singleton Material(uno_highbeam)
{
    mapTo = "uno_highbeam";
};
